> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/integrations/update-integration-properties/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Update the properties of an integration PUT https://example.itential.io/integrations/{name}/properties Content-Type: application/json Updates the properties of an integration in Itential Platform. Reference: https://docs.itential.com/itential-cloud/api-reference/integrations/update-integration-properties ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `name` (string, required, default: ) — The name for the selected integration. ### Body (application/json) This endpoint expects an object. - `properties` (any, optional) ## Response ### 200 The output of the integration properties update process. - `status` (enum, optional) — The status of the API request. - Allowed values: `OK`, `Created` - `message` (string, optional) — Message containing either confirmation of the operation or the reason for the failure of the operation. - `data` (object or object, optional) — All of the properties required for a service. - object - `type` (any, optional) - `properties` (object, optional) - object - `type` (any, optional) - `properties` (object, optional) - `id` (string, required, default: ) — The id for the service - `type` (string, required, default: ) — The type of service - `properties` (object, required) - `brokers` (list of enum, required) — Brokers which utilize this service - Allowed values: `aaa`, `compliance`, `device`, `fault`, `instance`, `inventory`, `method`, `notification`, `performance`, `persistence`, `service`, `topology` - `groups` (list of string, required) — Groups which can use this service ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json {} ``` **Response** ```json { "status": "OK", "message": "A sample success message", "data": { "properties": {}, "type": null } } ``` **SDK Code** ```python import requests url = "https://example.itential.io/integrations/:name/properties" payload = {} headers = {"Content-Type": "application/json"} response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/integrations/:name/properties'; const options = {method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/integrations/:name/properties" payload := strings.NewReader("{}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/integrations/:name/properties") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://example.itential.io/integrations/:name/properties") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PUT', 'https://example.itential.io/integrations/:name/properties', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/integrations/:name/properties"); var request = new RestRequest(Method.PUT); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/integrations/:name/properties")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```